MALOC 0.1

Classes | Typedefs | Functions
vmpi.h File Reference
Vmpi class

Class Vmpi: a Virtual MPI communication layer object. More...

`#include <maloc/maloc_base.h>`
`#include <maloc/vsys.h>`
Include dependency graph for vmpi.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | sVmpi
| Class Vmpi: Definition. More...

## Typedefs
typedef struct sVmpi | Vmpi
| Declaration of the Vmpi class as the Vmpi structure.

## Functions
int | Vmpi_init (int *argc, char ***argv)
| The Vmp initializer.
int | Vmpi_finalize (void)
| The Vmp finalizer.
Vmpi * | Vmpi_ctor (void)
| The Vmpi constructor.
void | Vmpi_dtor (Vmpi **thee)
| The Vmpi destructor.
int | Vmpi_rank (Vmpi *thee)
| Return my processor ID.
int | Vmpi_size (Vmpi *thee)
| Return the number of processors involved.
int | Vmpi_barr (Vmpi *thee)
| An MPI barrier.
int | Vmpi_send (Vmpi *thee, int des, char *buf, int bufsize)
| An MPI blocking send.
int | Vmpi_recv (Vmpi *thee, int src, char *buf, int bufsize)
| An MPI blocking receive.
int | Vmpi_bcast (Vmpi *thee, char *buf, int bufsize)
| An MPI broadcast.
int | Vmpi_reduce (Vmpi *thee, char *sbuf, char *rbuf, int bufsize)
| An MPI reduce.
int | Vmpi_isend (Vmpi *thee, int des, char *buf, int bufsize)
| An MPI non-blocking send.

## Detailed Description

Class Vmpi: a Virtual MPI communication layer object.

Author
  Michael Holst

Note
  None

Version

Id
  vmpi.h,v 1.29 2010/08/12 05:40:23 fetk Exp

Attention

      *
      * MALOC = < Minimal Abstraction Layer for Object-oriented C >
      * Copyright (C) 1994-- Michael Holst
      *
      * This library is free software; you can redistribute it and/or
      * modify it under the terms of the GNU Lesser General Public
      * License as published by the Free Software Foundation; either
      * version 2.1 of the License, or (at your option) any later version.
      *
      * This library is distributed in the hope that it will be useful,
      * but WITHOUT ANY WARRANTY; without even the implied warranty of
      * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
      * Lesser General Public License for more details.
      *
      * You should have received a copy of the GNU Lesser General Public
      * License along with this library; if not, write to the Free Software
      * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
      *
      *